//
//  JOYFocusUser.m
//  My Focus
//
//  Created by 凡 刘 on 12-6-2.
//  Copyright (c) 2012年 北京帷幄昊合数字娱乐科技有限公司. All rights reserved.
//

#import "JOYFocusUser.h"

@implementation JOYFocusUser
@synthesize userName = _userName;
@synthesize image = _image;
@synthesize webSite = _webSite;
@synthesize favorite = _favorite;
@synthesize categoryName = _categoryName;

- (id)initWithItem:(NSDictionary *)item {
    
    self = [super init];
    if (self) {
        _userName = [item objectForKey:@"UserName"];
        _image = [UIImage imageNamed:[item objectForKey:@"Image"]];
        _webSite = [item objectForKey:@"WebSite"];
        _favorite = [[item objectForKey:@"Favorite"]floatValue];
        _categoryName = [item objectForKey:@"Category"];
    }
    return self;
}

@end

@implementation JOYCategory
@synthesize categoryName = _categoryName;
@synthesize userList = _userList;

- (id)initWithArray:(NSMutableArray *)userList {
    
    self = [super init];
    if (self) {
        NSMutableArray *list = [[NSMutableArray alloc]init];
        for (NSDictionary *item in userList) {
            JOYFocusUser *user = [[JOYFocusUser alloc]initWithItem:item];
            [list addObject:user];
        }
        
        JOYFocusUser *user = [list objectAtIndex:0];
        _categoryName = user.categoryName;
        _userList = list;
    }
    return self;
}

@end
